Interface InternetAccessServiceClient
- All Superinterfaces:
Pageable<InternetAccessService>, PageablePost<InternetAccessService>
- All Known Implementing Classes:
InternetAccessServiceClientImpl
Internal client for the Equinix Internet Access (EIA) v2 service lifecycle:
POST /internetAccess/v2/services (create),
GET /internetAccess/v2/services/{serviceId} (get details),
PATCH /internetAccess/v2/services/{serviceId} (update),
DELETE /internetAccess/v2/services/{serviceId} (delete) and
POST /internetAccess/v2/services/search (search).-
Method Summary
Modifier and TypeMethodDescriptioncreate(ServiceRequest serviceRequest) search(ServiceSearchRequest searchRequest) update(String serviceId, List<ChangeOperationUpdate> operations, boolean dryRun) Methods inherited from interface Pageable
nextPageModifier and TypeMethodDescriptionnextPage(PaginatedRequest<InternetAccessService> equinixRequest) Methods inherited from interface PageablePost
nextPageModifier and TypeMethodDescriptionnextPage(PaginatedPostRequest<InternetAccessService> equinixRequest) Fetches the next page for the given POST-search request (its body's pagination has already been advanced by the paging pipeline).
-
Method Details
-
create
-
getByUuid
-
update
InternetAccessServiceJson update(String serviceId, List<ChangeOperationUpdate> operations, boolean dryRun) -
delete
-
search
-